wbwd(4)

NAME
wbwd - device driver for watchdog timer found on Winbond Super I/O chips

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device wbwd

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    wbwd_load="YES"

DESCRIPTION
The wbwd driver provides watchdog(4) support for the watchdog interrupt timer present on at least the following Winbond Super I/O chips:

•   83627HF/F/HG/G Rev. G
•   83627HF/F/HG/G Rev. J
•   83627HF/F/HG/G Rev. UD-A
•   83627DHG IC ver. 5

SYSCTL VARIABLES
The wbwd driver provides the following options as sysctl(8) variables.

dev.wbwd.0.timeout_override
    This variable allows to program the timer to a value independent on the one provided by the watchdog(4) framework while still relying on the regular updates from e.g. watchdogd(8). This is particularly useful if your system provides multiple watchdogs and you want them to fire in a special sequence to trigger an NMI after a shorter period than the reset timeout for example. The value set must not be lower than the sleep time of watchdogd(8). A value of 0 disables this feature and the timeout value provided by watchdog(4) will be used.

dev.wbwd.0.debug_verbose
    If set this sysctl will tell the driver to log its current state before and after the timer reset on each invocation from watchdog(9) to the kernel message buffer for debugging.

dev.wbwd.0.debug
    This read-only value gives the state of some registers on last update.

The wbwd driver also provides further sysctl options that are hidden by default. See the source code for more information.

SEE ALSO
watchdog(4), device.hints(5), watchdog(8), watchdogd(8), watchdog(9)

HISTORY
The wbwd driver first appeared in FreeBSD 10.0.

AUTHORS
-nosplit This manual page was written by Bjoern A. Zeeb <bz@FreeBSD.org>.